package com.jeeplus.business.workClientInfo.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import com.jeeplus.business.workClientInfo.domain.JyWorkClientInfo;
import com.jeeplus.business.workClientInfo.domain.JyWorkClientLinkman;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface JyWorkClientInfoMapper extends BaseMapper<JyWorkClientInfo> {

    JyWorkClientInfo getByName(@Param("clientName")String clientName);

    IPage<JyWorkClientInfo> findPageList(Page<JyWorkClientInfo> page, @Param(Constants.WRAPPER)QueryWrapper queryWrapper);

    Integer isExist(@Param("value") String value);

    IPage<JyWorkClientInfo> componentList(Page<JyWorkClientInfo> page, @Param(Constants.WRAPPER)QueryWrapper queryWrapper);

    List<JyWorkClientLinkman> getByNameInfo(@Param("LinkmanId")String LinkmanId);
}
